from setuptools import setup, find_packages

# TODO: GTK and so forth

gi = None
try:
	import gi
	gi.require_version('Gtk', '3.0')
except ImportError:
	print("Installing PyGobject would give you mail1glade2.py graphical user interface.")
#end try
if gi:
	try:
		from gi.repository import Gtk, Gdk, GdkPixbuf, Pango, GObject
	except ImportError:
		print("Installing Gtk, Gdk, GdkPixbuf, Pango, and Gobject would give you mail1glade2.py graphical user interface.")
		print("https://pygobject.readthedocs.io/en/latest/getting_started.html is a good place to start.")
		gi = None
	#end try
#end if
if gi:
	try:
		gi.require_version('GtkSpell', '3.0')
		from gi.repository import GtkSpell
	except ImportError:
		print("Installing GtkSpell 3 would give you spell checking.")
	#end try
#end if

setup(
    name="bikeim",
    version="0.7",
    description="E-Mail Client",
    url="https://bikeim.com/",   # project home page, if any
    packages=find_packages(),
    scripts=['bikeim/mail1.py', 'mail1cli.py', 'mail1glade2.py'],

	#data_files=[('glade', ['glade/add_dir_dialog.glade', 'glade/addressbook1.glade', 'glade/compose1.glade', 'glade/contact_dialog.glade', 'glade/filter_dialog1.glade', 'glade/fingerprint_dialog1.glade', 'glade/mail1glade2.glade']),
	#	('images', ['images/attach1_16.png', 'images/attach2_16.png', 'images/attach3_16.png', 'images/attach4_16.png', 'images/attach5_16.png', 'images/attachspam_16.png', 'images/envelope-closed_16.png', 'images/envelope-open_16.png', 'images/question-mark2_16.png', 'images/question-mark3_16.png', 'images/question-mark4_16.png', 'images/question-mark5.png', 'images/question-mark5_16.png', 'images/question-mark_16.png', 'images/x_16.png'])
	#	],
	package_data={'bikeim':['glade/*.glade', 'images/*.png'],},
	include_package_data=True,
	zip_safe=False,

	install_requires=[],
	extras_require={
		'html':['lxml'],
		'gpg':['gpg'],
		#'gtk':['Gtk, Gdk, GdkPixbuf, Pango, GObject],
		#'spellcheck':['GtkSpell']
	},

    # metadata for upload to PyPI
    author="Javantea",
    author_email="jvoss@altsci.com",
    license="GPL",
    keywords="email pgp encryption encrypted crypto cryptography signing signature gpg",

    # could also include long_description, download_url, classifiers, etc.
	classifiers=[
		'Development Status :: 4 - Beta',
		'Intended Audience :: End Users/Desktop',
		'Intended Audience :: Developers',
		'Operating System :: POSIX',
		'Programming Language :: Python',
		'Programming Language :: Python :: 3',
		'Topic :: Communications :: Email'
		],
)
